#!/usr/bin/env php
# autogenerated file; do not edit
sudo: false
language: c
dist: xenial

addons:
 apt:
  packages:
   - php-cli
   - php-pear

env:
<?php

$cur = "7.3";
$gen = include "./travis/pecl/gen-matrix.php";
$env = $gen([
	"PHP" => ["7.0", "7.1", "7.2", "7.4", "master"],
	"enable_debug" => "yes",
	"enable_maintainer_zts" => "yes",
], [
	"PHP" => $cur,
	"enable_debug",
	"enable_maintainer_zts"
]);
foreach ($env as $grp) {
	foreach ($grp as $e) {
		printf("  - %s\n", $e);
	}
}

?>

matrix:
 fast_finish: true
 allow_failures:
<?php
$allow_failures = array_merge( ... array_map(function($a) {
	return preg_grep('/^PHP=(master|7.4) /', $a);
}, $env));
foreach ($allow_failures as $e) {
	printf("  - env: %s\n", $e);
}
?>

before_script:
 - make -f travis/pecl/Makefile php
 - make -f travis/pecl/Makefile ext PECL=raphf

script:
 - make -f travis/pecl/Makefile test
